{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "cpt_login"; 
            externalType = VARCHAR2; 
            name = cptLogin; 
            valueClassName = NSString; 
            valueType = S; 
            width = 50; 
        }, 
        {
            allowsNull = Y; 
            columnName = email; 
            externalType = VARCHAR2; 
            name = email; 
            valueClassName = NSString; 
            valueType = S; 
            width = 100; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NO_INDIVIDU"; 
            externalType = NUMBER; 
            name = noIndividu; 
            valueClassName = NSNumber; 
            valueType = d; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NOM_PATRONYMIQUE"; 
            externalType = VARCHAR2; 
            name = nomPatronymique; 
            valueClassName = NSString; 
            valueType = S; 
            width = 80; 
        }, 
        {
            columnName = "PERS_ID"; 
            externalType = NUMBER; 
            name = persId; 
            valueClassName = NSNumber; 
            valueType = d; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PERS_LC"; 
            externalType = VARCHAR2; 
            name = persLc; 
            valueClassName = NSString; 
            valueType = S; 
            width = 30; 
        }, 
        {
            columnName = "PERS_LIBELLE"; 
            externalType = VARCHAR2; 
            name = persLibelle; 
            valueClassName = NSString; 
            valueType = S; 
            width = 120; 
        }, 
        {
            allowsNull = Y; 
            columnName = "UTL_FERMETURE"; 
            externalType = DATE; 
            name = utlFermeture; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "UTL_ORDRE"; 
            externalType = NUMBER; 
            name = utlOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "UTL_OUVERTURE"; 
            externalType = DATE; 
            name = utlOuverture; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }
    ); 
    className = "org.cocktail.jefyadmin.server.metier.EOUtilisateurInfo"; 
    classProperties = (
        cptLogin, 
        email, 
        utilisateur, 
        noIndividu, 
        nomPatronymique, 
        persId, 
        persLc, 
        persLibelle, 
        utlFermeture, 
        utlOuverture
    ); 
    externalName = "JEFY_ADMIN.v_UTILISATEUR_info"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            utlFermeture, 
            utlOuverture, 
            cptLogin, 
            email, 
            utilisateur, 
            noIndividu, 
            nomPatronymique, 
            persId, 
            persLc, 
            persLibelle
        ); 
        "_javaClientClassName" = "org.cocktail.jefyadmin.client.metier.EOUtilisateurInfo"; 
        "_nameInObjectStore" = "v_UTILISATEUR"; 
    }; 
    isReadOnly = Y; 
    name = UtilisateurInfo; 
    primaryKeyAttributes = (utlOrdre); 
    relationships = (
        {
            destination = Utilisateur; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = utlOrdre; sourceAttribute = utlOrdre; }); 
            name = utilisateur; 
        }
    ); 
}
